package com.palmnest.application.dto.output;

import java.io.Serializable;

/**
 * @Author HXT
 * @Description TODO
 * @Date 2018/9/27 11:46
 **/
public class ServiceProjectAllocationOutDto implements Serializable {
    private static final long serialVersionUID = 4713589125744342508L;

    private Integer id;//主键ID
    private Integer serviceTypeId;//服务ID
    private Integer projectId;//项目或企业ID
    private String roleGroup;//用户权限分组
    private String status;//（0-下线，1-上线,2-灰度）
    private String orderNo;//序号
    private String type;//类型（0-项目，1-企业）
    private String creator;//创建者
    private String createTime;//创建时间
    private String modifier;//修改着
    private String modifyTime;//修改时间
    private String isEnabled;//是否可用(0-不可用,1-可用)
    private String serviceIcon;//项目个性化服务图片
    private String indate;//有效期
    private Integer permission;//是否开启权限配置
    private String orgName;// 项目名

    public ServiceProjectAllocationOutDto() {}

    public ServiceProjectAllocationOutDto(Integer id, Integer serviceTypeId, Integer projectId, String roleGroup, String status, String orderNo, String type, String creator, String createTime, String modifier, String modifyTime, String isEnabled, String serviceIcon, String indate) {
        this.id = id;
        this.serviceTypeId = serviceTypeId;
        this.projectId = projectId;
        this.roleGroup = roleGroup;
        this.status = status;
        this.orderNo = orderNo;
        this.type = type;
        this.creator = creator;
        this.createTime = createTime;
        this.modifier = modifier;
        this.modifyTime = modifyTime;
        this.isEnabled = isEnabled;
        this.serviceIcon = serviceIcon;
        this.indate = indate;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getServiceTypeId() {
        return serviceTypeId;
    }

    public void setServiceTypeId(Integer serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getRoleGroup() {
        return roleGroup;
    }

    public void setRoleGroup(String roleGroup) {
        this.roleGroup = roleGroup;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(String isEnabled) {
        this.isEnabled = isEnabled;
    }

    public String getServiceIcon() {
        return serviceIcon;
    }

    public void setServiceIcon(String serviceIcon) {
        this.serviceIcon = serviceIcon;
    }

    public String getIndate() {
        return indate;
    }

    public void setIndate(String indate) {
        this.indate = indate;
    }

    public Integer getPermission() {
        return permission;
    }

    public void setPermission(Integer permission) {
        this.permission = permission;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
